vgp.volume.mc

## Class PnPassedFunction

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnFunction
    - - vgp.volume.mc.PnPassedFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnPassedFunction
      extends PnFunction

  This class converts an instance of PuFunction to PnFunction.
  See Also:
    Serialized Form
  Version:
    04.11.06, 1.10 revised (kp) Renamed to PnPassedFunction from PjPassedFunction.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnPassedFunction(PuFunction function)` Construct a new PnPassedFunction.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(PdVector x)` Evaluate the function at a specified position x.
    `PdVector` | `evalGradient(PdVector x, PdVector aGradient)` At position x evaluate the gradient of the functional, aGradient may be null.
    `PdMatrix` | `evalHessian(PdMatrix aHessian)` At position x evaluate the hessian of the functional, aHessian may be null.
    `int` | `getNumOfVariables()` Get the number of variables.

    - ### Methods inherited from class jvx.numeric.PnFunction

      `enableEvaluation, isEvaluable`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnPassedFunction

          public PnPassedFunction(PuFunction function)

      Construct a new PnPassedFunction.
      Parameters:
        `function` - the function to evaluate, number of functions must be equal to 1.

  - ### Method Detail

    - #### getNumOfVariables

          public int getNumOfVariables()

      Get the number of variables.
      Specified by:
        `getNumOfVariables` in class `PnFunction`

    - #### eval

          public double eval(PdVector x)

      Evaluate the function at a specified position x.
      Specified by:
        `eval` in class `PnFunction`

    - #### evalGradient

          public PdVector evalGradient(PdVector x,
                                       PdVector aGradient)

      Description copied from class: `PnFunction`
      At position x evaluate the gradient of the functional, aGradient may be null.
      Specified by:
        `evalGradient` in class `PnFunction`
      Returns:
        null

    - #### evalHessian

          public PdMatrix evalHessian(PdMatrix aHessian)

      Description copied from class: `PnFunction`
      At position x evaluate the hessian of the functional, aHessian may be null. Method returns a matrix which considers only the non-boundary vertices.
      Specified by:
        `evalHessian` in class `PnFunction`
      Returns:
        null

"

The software JavaView? is copyright protected. All Rights Reserved.
"